# Review at https://bugzilla.redhat.com/show_bug.cgi?id=496168

Name:           termit
Version:        2.9.6
Release:        8%{?dist}
Summary:        Simple terminal emulator based on vte library

Group:          User Interface/X
License:        GPLv2
URL:            http://wiki.github.com/nonstop/termit/
Source0:        http://cloud.github.com/downloads/nonstop/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  vte-devel >= 0.17.4
BuildRequires:  lua-devel >= 5.1
BuildRequires:  cmake desktop-file-utils gettext

%description
TermIt is a simple terminal emulator based on vte library with a lot of 
features:
 * tabs
 * bookmarks
 * sessions
 * changing tab name
 * changing font for tabs
 * encodings (all available from GTK2)
 * integrated lua interpreter
Configuration can be changed via $HOME/.config/termit/termit.cfg file.


%prep
%setup -q

%build
find . -type f -name CMakeCache.txt -exec rm -rf {} \;
%cmake DCMAKE_INSTALL_DOCDIR=%{_docdir} .
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install                                       \
  --delete-original                                        \
  --remove-category=Utility                                \
  --add-category=System                                    \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications          \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}
# we install the docfiles in %%files, versioned for some dists
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/termit/


#%check
#ctest


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING TODO
%doc doc/README doc/rc.lua.example doc/lua_api.txt doc/termit.svg
%config(noreplace) %{_sysconfdir}/xdg/termit/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Oct 25 2013 Ville Skyttä <ville.skytta@iki.fi> - 2.9.6-4
- Clean up obsolete docdir comments (#993900).
- Fix bogus dates in %%changelog.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 27 2012 Christoph Wickert <cwickert@fedoraproject.org> - 2.9.6-1
- Update to 2.9.6

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 23 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.9.3-1
- Update to 2.9.3

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.9.1-2
- Rebuild for new libpng

* Mon Jul 18 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.9.1-1
- Update to 2.9.1

* Sun Jul 03 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.9.0-1
- Update to 2.9.0
- New config files in %%{_sysconfdir}/xdg/termit/

* Sun May 29 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.8.1-1
- Update to 2.8.1

* Mon May 23 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.8.0-1
- Update to 2.8.0
- Remove dsofix.patch because the linking issues are fixed

* Mon Mar 28 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.7.1-1
- Update to 2.7.1

* Thu Feb 10 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.7.0-1
- Update to 2.7.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 03 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.6.0-1
- Update to 2.6.0

* Fri Jun 25 2010 Christoph Wickert <cwickert@fedoraproject.org> - 2.5.0-1
- Update to 2.5.0

* Wed Apr 07 2010 Christoph Wickert <cwickert@fedoraproject.org> - 2.4.0-1
- Update to 2.4.0

* Thu Feb 25 2010 Christoph Wickert <cwickert@fedoraproject.org> - 2.3.0-1
- Update to 2.3.0
- Add patch to fix DSO linking (#565138)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.2.0-2
- Rebuilt for libvte SONAME bump

* Sat Apr 11 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0

* Wed Oct 01 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.5-1
- Update to 1.3.5

* Mon May 05 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.3-1
- Initial Fedora RPM
